/*
This is an external style sheet. We use various CSS selectors to target certain elements. We can select by class, tag name, id, by element associations.
*/

/*
Specificity:
ID has the weighest weight.
Class has the next highest weight.
Tag Name has the lowest weight.
*/

/*Selecting By ID*/
#theBiggest{
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    color: blueviolet;
}

#theSecondBiggest{
    font-family: cursive;
}

/*Selecting By Class*/
.someClass{
    color: darkcyan;
}

/*Selecting By Tag Name*/
h1{
    font-weight: 200;
    color: greenyellow !important; /*This important keyword denotes that I should override the precedence of the selectors. Note, though, that this breaks the natural cascading.*/
}

/*Selecing Multiple Tags At Once*/
h1, h2{
    font-weight: 900;
}

form{
    width: 50%;
    margin-left: auto;
    margin-right: auto;;
}

#insideText{
    background-color: purple;
}

*{
    text-align: center;
}